echo off
rem Batch file to install Tektronix 222A firmware upgrade files
rem Tektronix Inc.
rem David Price
rem (503) 280-7932
if "%1"=="" goto no_path_given
if exist %1nul goto path_not_found
if not exist %1\nul goto path_not_found
if not exist %1\xtalk.usr goto copy
if not exist %1\xtalk.bk goto backup
echo Install was attempting to back up your existing Crosstalk configuration
echo file in %1 named XTALK.USR by renaming it to XTALK.BK.  
echo However, XTALK.BK exists.  This is most likely because 
echo you have run this install process before.
echo.
echo If you press ENTER, install will continue and overwrite the 
echo existing XTALK.BK.  If this is not desired, press CTRL-C now, re-name
echo XTALK.BK to something else, and re-run install.
pause
:backup
copy %1\xtalk.usr %1\xtalk.bk
:copy
echo Copying upgrade files ....
copy *.* %1
goto success
:no_path_given
rem If no path is given assume c:\xtalk4
if not exist c:\xtalk4\nul goto path_not_found
if not exist c:\xtalk4\xtalk.usr goto copy_default
if not exist c:\xtalk4\xtalk.bk goto backup_default
echo Install was attempting to back up your existing Crosstalk configuration
echo file in c:\xtalk4 named XTALK.USR by renaming it to XTALK.BK.  
echo However, XTALK.BK exists.  This is most likely because 
echo you have run this install process before.
echo.
echo If you press ENTER, install will continue and overwrite the 
echo existing XTALK.BK.  If this is not desired, press CTRL-C now, re-name
echo XTALK.BK to something else, and re-run install.
pause
:backup_default
copy c:\xtalk4\xtalk.usr c:\xtalk4\xtalk.bk
:copy_default
echo Copying upgrade files ....
copy *.* c:\xtalk4 
goto success
:path_not_found
cls
echo Path not found.  Please re-run install with the correct path of your
echo Crosstalk directory.  For example to install the 222A upgrade files 
echo in your Crosstalk directory named "xtalk" on your 
echo d: drive type (do not end with \):
echo.
echo 	install d:\xtalk
echo. 
goto end
:success
cls
echo The 222A firmware upgrade files have been copied to your Crosstalk
echo directory.  For these files to run properly, it was necessary to 
echo reconfigure Crosstalk by overwriting a file named XTALK.USR.  The 
echo existing file has been renamed to XTALK.BK.  
echo.
echo When you are done using Crosstalk to upgrade your 222A, 
echo you will have to rename XTALK.BK to XTALK.USR to restore your old
echo Crosstalk configuration.
echo.
echo To continue with the 222A upgrade, please follow Steps 2 and 3 in
echo the documentation included with this upgrade kit.
:end
