#include <stdio.h>
#include <stdlib.h>
#include <dos.h>

#define DOS_LPT1 ((int huge *) 0x00400008)
#define MAX_PIN 8

main(argc, argv)
int argc;
char *argv[];
  {
  int count;
  int pin_num;
  unsigned int new_value;
  int huge *dlpt2a;
  int base;
  char *prog_port;
  int prog_numb;

  prog_port = getenv("SWPROG");
  prog_numb = 1;
  if(prog_port)
    sscanf(prog_port, "%d", &prog_numb);
  if((prog_numb < 1) || (prog_numb > 3))
    {
    printf("Error programming port not correctly specified 1..3\n");
    abort();
    }

  dlpt2a = DOS_LPT1;
  base = dlpt2a[prog_numb - 1];
  if(base == 0)
    {
    printf("Error LPT not installed\n");
    abort();
    }

  new_value = 0;
  for(count = 1; count < argc; count++)
    {
    sscanf(argv[count], "%d", &pin_num);
    if((pin_num >= 1) && (pin_num <= MAX_PIN))
      new_value |= (((unsigned int) 0x80) >> (pin_num - 1));
    else
      {
      printf("Error pin %d invalid must be in 1..%d\n",
        pin_num, MAX_PIN);
      abort();
      }
    }
  outportb(base + 4, 0x8);
  outportb(base, (~new_value) & 0xFF);
  return(0);
  }
